Package weka.core

# Class NoSupportForMissingValuesException

java.lang.Object
java.lang.Throwable
java.lang.Exception
weka.core.WekaException
weka.core.NoSupportForMissingValuesException

All Implemented Interfaces:
  `Serializable`

public class NoSupportForMissingValuesException extends WekaException
Exception that is raised by an object that is unable to process data with missing values.

Version:
  $Revision: 1.3 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoSupportForMissingValuesException()`
Creates a new NoSupportForMissingValuesException with no message.
`NoSupportForMissingValuesException(String message)`
Creates a new NoSupportForMissingValuesException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSupportForMissingValuesException

public NoSupportForMissingValuesException()
Creates a new NoSupportForMissingValuesException with no message.

### NoSupportForMissingValuesException

public NoSupportForMissingValuesException(String message)
Creates a new NoSupportForMissingValuesException.

Parameters:
  `message` - the reason for raising an exception.